<div class="medicaid-prioritization">
  <app-content-banner [isDashboard]="false" pageName="Medicaid Prioritization"></app-content-banner>
  <mat-card class="medicaid-prioritization-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <det-client-banner [isHousingProgramType]="true"></det-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="medicaidPrioritizationTabChange()">
        <!--Medicaid Claims Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Medicaid Claims</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="medicaid-prioritization-small-box mat-elevation-z4" fxLayout="column">
                <div class="medicaid-prioritization-container mat-elevation-z4">
                  <form class="section" style="margin-top: 10px">
                    <p><b>Medicaid Client</b></p>
                    <!--Medicaid Client Source Match-->
                    <ag-grid-angular style="width: 100%" class="ag-theme-balham medicaid-client-grid"
                      [rowData]="medicaidClientSourceMatchRowData" [columnDefs]="medicaidClientSourceMatchColumnDefs"
                      (gridReady)="medicaidClientSourceMatchGridReady($event)" [floatingFilter]="true"
                      [animateRows]="false" [overlayNoRowsTemplate]="medicaidClientSourceMatchOverlayNoRowsTemplate"
                      [defaultColDef]="medicaidClientSourceMatchDefaultColDef" [pagination]="true"
                      [paginationPageSize]="10">
                    </ag-grid-angular>
                    <br>
                    <!--Medicaid Program Enrollment Eligibility Card -->
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" fxLayoutWrap="wrap"
                      style="width: 100%">
                      <div class="medicaid-prioritization-label" fxLayout="column">
                        <span>
                          <mat-checkbox [checked]="medicaidClaimsSummaryRowData && medicaidClaimsSummaryRowData.isProgramEnrollmentCriteria"
                            [disabled]="true"></mat-checkbox> &nbsp; <b>Program Enrollment
                            Criteria </b>
                        </span>
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                        <mat-icon matTooltip="Program Enrollment meeting one of the following:
                          &#13; ​- Current State PC or CR or CR/SRO resident
                            ​- Current Skilled Nursing Facility (SNF) resident" matTooltipClass="pact-tooltip">
                          info
                        </mat-icon>
                      </div>
                      <div class="medicaid-prioritization-label" fxLayout="column">
                        <span><b>Current Housing Location Type : </b></span>
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                        <span *ngIf="medicaidClaimsSummaryRowData && medicaidClaimsSummaryRowData.currentHousingLocationType">{{medicaidClaimsSummaryRowData.currentHousingLocationType}} </span>
                      </div>
                      <div class="medicaid-prioritization-label" fxLayout="column">
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                      </div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" fxLayoutWrap="wrap"
                      style="width: 100%">
                      <div class="medicaid-prioritization-label" fxLayout="column">
                        <span>
                          <mat-checkbox [disabled]="true" [checked]="medicaidClaimsSummaryRowData && medicaidClaimsSummaryRowData.isServiceUtilization">
                          </mat-checkbox> &nbsp; <b>Service/Utilization </b>
                        </span>
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                        <mat-icon matTooltip="Qualify as a high Medicaid utilizer by meeting one of the following in the last 12 months:
                          &#13; - Have 5 or more emergency department visits
                          ​      - Have four or more emergency department visits and one or more inpatient stays"
                          matTooltipClass="pact-tooltip">
                          info
                        </mat-icon>
                      </div>
                      <div class="medicaid-prioritization-label" fxLayout="column">
                        <span><b>Inpatient Stays : </b></span>
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                        <span *ngIf="medicaidClaimsSummaryRowData && medicaidClaimsSummaryRowData.inpatientStays" >{{medicaidClaimsSummaryRowData.inpatientStays}} </span>
                      </div>
                      <div class="medicaid-prioritization-label" fxLayout="column">
                        <span><b>Emergency Room Visits : </b></span>
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                        <span *ngIf="medicaidClaimsSummaryRowData && medicaidClaimsSummaryRowData.emergencyRoomVisits" >{{medicaidClaimsSummaryRowData.emergencyRoomVisits}} </span>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" fxLayoutWrap="wrap"
                      style="width: 100%">
                      <div class="medicaid-prioritization-label" fxLayout="column">
                        <span>
                          <mat-checkbox [checked]="medicaidClaimsSummaryRowData && medicaidClaimsSummaryRowData.isMedicaidSpendingMH" [disabled]="true">
                          </mat-checkbox> &nbsp; <b>Medicaid Spending
                            MH</b>
                        </span>
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                        <mat-icon matTooltip="Qualify as a high Medicaid utilizer by being within the top 20% of Medicaid receipeints' spending relative to the county of fiscal responsibility and target population parameters:
                        ​&#13; SMI Threshold: $43,160          SUD Threshold: $33,474" matTooltipClass="pact-tooltip">
                          info
                        </mat-icon>
                      </div>
                      <div class="medicaid-prioritization-label" fxLayout="column">
                        <span><b>Total Claims :</b></span>
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                        <span *ngIf="medicaidClaimsSummaryRowData && medicaidClaimsSummaryRowData.totalClaims" >$ {{medicaidClaimsSummaryRowData.totalClaims}}</span>
                      </div>
                      <div class="medicaid-prioritization-label" fxLayout="column">
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                      </div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" fxLayoutWrap="wrap"
                      style="width: 100%">
                      <div class="medicaid-prioritization-label" fxLayout="column">
                        <span>
                          <mat-checkbox [disabled]="true" [checked]="medicaidClaimsSummaryRowData && medicaidClaimsSummaryRowData.isMedicaidSpendingSUD">
                          </mat-checkbox> &nbsp; <b>Medicaid Spending SUD</b>
                        </span>
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                        <mat-icon matTooltip="Qualify as a high Medicaid utilizer by being within the top 20% of Medicaid receipeints' spending relative to the county of fiscal responsibility and target population parameters:
                      ​&#13; SMI Threshold: $43,160          SUD Threshold: $33,474" matTooltipPosition="above"
                          matTooltipClass="pact-tooltip">
                          info
                        </mat-icon>
                      </div>
                      <div class="medicaid-prioritization-label" fxLayout="column">
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                      </div>
                      <div class="medicaid-prioritization-label" fxLayout="column">
                      </div>
                      &nbsp;&nbsp;
                      <div class="medicaid-prioritization-field" fxLayout="column">
                      </div>
                    </div>
                    <br>
                    <!-- "Medicaid Total Spending Card-->
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap"
                      style="width: 100%">
                      <div fxLayout="column" style="width: 100%">
                        <ag-grid-angular style="width: 100%" class="ag-theme-balham medicaid-spending-grid"
                          [rowData]="medicaidTotalSpendingRowData" [columnDefs]="medicaidTotalSpendingColumnDefs"
                          (gridReady)="medicaidTotalSpendingGridReady($event)" [floatingFilter]="true"
                          [animateRows]="false" [overlayNoRowsTemplate]="medicaidTotalSpendingOverlayNoRowsTemplate"
                          [defaultColDef]="medicaidTotalSpendingDefaultColDef" [pagination]="true"
                          [paginationPageSize]="10">
                        </ag-grid-angular>
                      </div>
                    </div>
                    <br>
                    <!-- "Medicaid InPatient Stays Emergency Room Card-->
                    <mat-accordion>
                      <mat-expansion-panel [expanded]="inPatientStaysEmergencyRoomExpanded"
                        (opened)="inPatientStaysEmergencyRoomExpanded = true"
                        (closed)="inPatientStaysEmergencyRoomExpanded = false">
                        <mat-expansion-panel-header>
                          <mat-panel-title>
                            <mat-icon class="expand-collapse-icon">
                              {{ inPatientStaysEmergencyRoomExpanded  ? 'indeterminate_check_box' : 'add_box' }}
                            </mat-icon>
                            <span class="er-medicaid-expansion-label">
                              Inpatient Stays / Emergency Room Visits
                            </span>
                          </mat-panel-title>
                        </mat-expansion-panel-header>
                        <ag-grid-angular style="width: 100%"
                          class="ag-theme-balham in-patient-stays-emergency-room-grid"
                          [rowData]="inPatientStaysEmergencyRoomRowData"
                          [columnDefs]="inPatientStaysEmergencyRoomColumnDefs"
                          (gridReady)="inPatientStaysEmergencyRoomGridReady($event)" [floatingFilter]="true"
                          [animateRows]="false"
                          [overlayNoRowsTemplate]="inPatientStaysEmergencyRoomOverlayNoRowsTemplate"
                          [defaultColDef]="inPatientStaysEmergencyRoomDefaultColDef" [pagination]="true"
                          [paginationPageSize]="10">
                        </ag-grid-angular>
                      </mat-expansion-panel>
                    </mat-accordion>
                    <br>
                    <!-- "Medicaid Montly Spending Card-->
                    <mat-accordion>
                      <mat-expansion-panel [expanded]="medicaidMonthlySpendingExpanded"
                        (opened)="medicaidMonthlySpendingExpanded = true"
                        (closed)="medicaidMonthlySpendingExpanded = false">
                        <mat-expansion-panel-header>
                          <mat-panel-title>
                            <mat-icon class="expand-collapse-icon">
                              {{ medicaidMonthlySpendingExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
                            <span class="er-medicaid-expansion-label">
                              Medicaid Spending (Monthly)
                            </span>
                          </mat-panel-title>
                        </mat-expansion-panel-header>
                        <ag-grid-angular style="width: 100%" class="ag-theme-balham medicaid-spending-grid"
                          [rowData]="medicaidMonthlySpendingRowData" [columnDefs]="medicaidMonthlySpendingColumnDefs"
                          (gridReady)="medicaidMonthlySpendingGridReady($event)" [floatingFilter]="true"
                          [animateRows]="false" [overlayNoRowsTemplate]="medicaidMonthlySpendingOverlayNoRowsTemplate"
                          [defaultColDef]="medicaidMonthlySpendingDefaultColDef" [pagination]="true"
                          [paginationPageSize]="10">
                        </ag-grid-angular>
                      </mat-expansion-panel>
                    </mat-accordion>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Medicaid Prioritization Summary Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Medicaid Prioritization Summary</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="medicaid-prioritization-small-box mat-elevation-z4" fxLayout="column">
                <div class="medicaid-prioritization-container mat-elevation-z4">
                  <form class="section" style="margin-top: 10px">
                    <div fxLayout="column" flex>
                      <div fxLayout="row">
                        <div fxFlex="100">
                          <det-summary [detClinicalHomelessMedicaidReviewInput]="detClinicalReviewInput"></det-summary>
                        </div>
                      </div>
                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
    <div class="content-main">
      <div class="content-sub">
        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
            matTooltipClass="pact-tooltip">Previous</button>
          &nbsp;&nbsp;
          <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
            matTooltipClass="pact-tooltip">Next</button>
        </div>
      </div>
    </div>
  </mat-card>
</div>